<?php
// $Id: page_levels_admin.inc.php 5140 2012-04-11 15:02:10Z calicant $

require "../../../adm/lib/setup.php";
$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
require PRISCILLA_LOCAL_PATH."adm/lib/test_auth.php";

require PRISCILLA_LOCAL_PATH."modules/paper/inc/config.inc.php";

if (!isset($login_tmp)) $login_tmp = $_COOKIE['login'];

$usertable = $PRISCILLA_SESSION->getvalue('usertable');

if ($usertable[livello] > 2)
    die("Authentication failed");

if ($usertable[skin] != '') $skin = $usertable[skin];
if ($usertable[lingua] != '') $lang = $usertable[lingua];

require_once PRISCILLA_LOCAL_PATH."tools/lang/$lang/adm_dialog.diz";

print "<head><title>".dialog_custom_tit."</title>";
print "<link rel=\"stylesheet\" type=\"text/css\" href=\"".PRISCILLA_SERVER_PATH."adm/skin/$skin/default.css\">";
print "<!--[if lte IE 7]>
			<link rel=\"stylesheet\" type=\"text/css\" href=\"".PRISCILLA_SERVER_PATH."adm/skin/ie6.css\" />
		<![endif]-->";
print "</head>";
include PRISCILLA_LOCAL_PATH."adm/skin/$skin/body.inc";
include PRISCILLA_LOCAL_PATH."adm/include/head_popup.inc.php";


if (!defined("PAPER_HOMENEWS_CONTENT_TABLE") || !defined("PAPER_HOMENEWS_LEVEL_FIELD") || !defined("PAPER_HOMENEWS_DATEIN_FIELD") || !defined("PAPER_HOMENEWS_DATEOUT_FIELD") || PAPER_HOMENEWS_CONTENT_TABLE == "papernode")
    die("ATTENZIONE! File di configurazione di paper incompleto. Contattare l'amministratore");

if (is_array($_POST['data']))
{
    foreach ($_POST['data'] as $id => $row)
    {
        $data_pub = $row['in_year'].'-'.$row['in_month'].'-'.$row['in_day'];
        $data_rit = $row['out_year'].'-'.$row['out_month'].'-'.$row['out_day'];
        if (is_numeric($row['newlevel']) && $row['newlevel'] > 0) $level = $row['newlevel'];
        else $level = $row['level'];
        if (!$connh->Execute("UPDATE ".PAPER_HOMENEWS_CONTENT_TABLE." SET `".PAPER_HOMENEWS_LEVEL_FIELD."`='".$level."', `".PAPER_HOMENEWS_DATEIN_FIELD."`='".$data_pub."', `".PAPER_HOMENEWS_DATEOUT_FIELD."`='".$data_rit."' WHERE id='".$id."'"))
        {
            echo "<br />Error while updating row ".$id;
            break;
        }
    }
}

$used_levels = array();
// prendo tutti i livelli definiti
$rslev = $connh->Execute("SELECT DISTINCT ".PAPER_HOMENEWS_LEVEL_FIELD." FROM ".PAPER_HOMENEWS_CONTENT_TABLE." ORDER BY ".PAPER_HOMENEWS_LEVEL_FIELD." ASC");


if ($rslev->RecordCount() > 0)
while (!$rslev->EOF)
{
    if (!in_array($rslev->fields[PAPER_HOMENEWS_LEVEL_FIELD], $used_levels))
        $used_levels[] = $rslev->fields[PAPER_HOMENEWS_LEVEL_FIELD];
    $rslev->MoveNext();
}

$rsidp = $connh->Execute("SELECT id_parent FROM node WHERE id='".$_POST['idbrothers']."'");
if ($usertable['username'] != 'superuser') $where = "AND node.id_user='".$usertable['username']."'";
$rs = $connh->Execute("SELECT * FROM node LEFT JOIN ".PAPER_HOMENEWS_CONTENT_TABLE." ON node.id=".PAPER_HOMENEWS_CONTENT_TABLE.".id WHERE node.contenuto='".PAPER_HOMENEWS_CONTENT_TABLE."' AND id_parent='".$rsidp->fields['id_parent']."' ".$where." ORDER BY node.sezione");
while (!$rs->EOF)
{
    //$rsc = $connh->Execute("SELECT * FROM ".$rs->fields['contenuto']." WHERE id='".$rs->fields['id']."'");
    //$row = array_merge($rs->fields, $rsc->fields);
    $row = $rs->fields;

    if (!is_numeric($row[PAPER_HOMENEWS_LEVEL_FIELD]) || !$row[PAPER_HOMENEWS_LEVEL_FIELD])
        $row[PAPER_HOMENEWS_LEVEL_FIELD] = '0';

    if (!isset($levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]])) $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] = "<tr>
        <th class=\"insert_voice\" colspan=\"5\">LEVEL ".$row[PAPER_HOMENEWS_LEVEL_FIELD]."</th>
    </tr>";
        
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<tr>
    <td class=\"insert_voice\"><a href=\"".$priscilla_server_path."index.php?id=$row[id]\" target=\"madre\">".$row['id']."</a></td>
    <td class=\"insert_voice\"><a href=\"".$priscilla_server_path."index.php?id=$row[id]\" target=\"madre\">".$row['sezione']."</a></td>
    <td class=\"insert_voice\" nowrap><select name=\"data[$row[id]][level]\" id=\"data_$row[id]_level\" class=\"insert_voice\">";
    foreach ($used_levels as $l)
    {
        if ($l == $row[PAPER_HOMENEWS_LEVEL_FIELD]) $selected = 'selected';
        else $selected = '';
        $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"$l\" $selected>".$l."</option>";
    }
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "</select>&nbsp;<input type=\"text\" name=\"data[$row[id]][newlevel]\" name=\"data_$row[id]_newlevel\" size=\"2\" class=\"insert_voice\" class=\"insert_voice\"></td>
    <td class=\"insert_voice\" nowrap><select name=\"data[$row[id]][in_day]\" id=\"data_$row[id]_in_day\" class=\"insert_voice\">";
    ereg("([0-9]{4})\-([0-9]{2})\-([0-9]{2})", $row[PAPER_HOMENEWS_DATEIN_FIELD], $date_in);
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"\">--</option>";
    for ($i = 1; $i <= 31; $i++)
    {
        if ($i == $date_in[3]) $selected = 'selected';
        else $selected = '';
        $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"".$i."\" ".$selected.">".$i."</option>";
    }
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "</select>&nbsp;<select name=\"data[$row[id]][in_month]\" id=\"data_$row[id]_in_month\" class=\"insert_voice\">";
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"\">--</option>";
    for ($i = 1; $i <= 12; $i++)
    {
        if ($i == $date_in[2]) $selected = 'selected';
        else $selected = '';
        $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"".$i."\" ".$selected.">".$i."</option>";
    }
    if ($date_in[1] == '0000') $date_in[1] = '';
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "</select>&nbsp;<input type=\"text\" size=\"4\" max_length=\"4\" name=\"data[$row[id]][in_year]\" id=\"data_$row[id]_in_year\" value=\"".$date_in[1]."\" class=\"insert_voice\">";
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "</td><td class=\"insert_voice\" nowrap><select name=\"data[$row[id]][out_day]\" id=\"data_$row[id]_out_day\" class=\"insert_voice\">";
    ereg("([0-9]{4})\-([0-9]{2})\-([0-9]{2})", $row[PAPER_HOMENEWS_DATEOUT_FIELD], $date_out);
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"\">--</option>";
    for ($i = 1; $i <= 31; $i++)
    {
        if ($i == $date_out[3]) $selected = 'selected';
        else $selected = '';
        $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"".$i."\" ".$selected.">".$i."</option>";
    }
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "</select>&nbsp;<select name=\"data[$row[id]][out_month]\" id=\"data_$row[id]_out_month\" class=\"insert_voice\">";
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"\">--</option>";
    for ($i = 1; $i <= 12; $i++)
    {
        if ($i == $date_out[2]) $selected = 'selected';
        else $selected = '';
        $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "<option value=\"".$i."\" ".$selected.">".$i."</option>";
    }
    if ($date_out[1] == '0000') $date_out[1] = '';
    $levels[$row[PAPER_HOMENEWS_LEVEL_FIELD]] .= "</select>&nbsp;<input type=\"text\" size=\"4\" max_length=\"4\" name=\"data[$row[id]][out_year]\" id=\"data_$row[id]_out_year\" value=\"".$date_out[1]."\" class=\"insert_voice\">
    </tr>";

    $rows[$rs->fields['id']] = $row;
    $rs->MoveNext();
}

?>

<table class="table_border" width="<? include $priscilla_local_path."adm/include/dim_all.inc.php"; ?>" align="center" cellpadding="3" cellspacing="1" border="0">
<tr>
    <th class="table_tit" colspan="5"><?php echo adm_voice_page_levels; ?></th>
</tr><tr>
    <td class="insert_voice" colspan="5"><strong>Impostazioni di livello e date pubblicazione</strong><br /><strong>tabella di contenuto</strong>: <?=PAPER_HOMENEWS_CONTENT_TABLE?><br /><strong>campo livello</strong>: <? echo PAPER_HOMENEWS_LEVEL_FIELD; ?><br /><strong>campo data pubblicazione</strong>: <? echo PAPER_HOMENEWS_DATEIN_FIELD; ?><br /><strong>campo data ritiro</strong>: <? echo PAPER_HOMENEWS_DATEOUT_FIELD; ?></td>
</tr><tr><form method="post">
    <td width="25%" class="insert_voice"><?php echo adm_voice_prio_see_page; ?></td>
    <td width="50%" class="insert_voice"><select name="idbrothers" style="width:100%" class="insert_area"><?
    if ($usertable['username'] != 'superuser') $where = "WHERE node.id_user='".$usertable['username']."'";
    $rs = $connh->Execute("SELECT id, sezione FROM node $where ORDER BY sezione");
    while (!$rs->EOF)
    {
        $row = $rs->fields;
        if ($_POST['idbrothers'] == $row['id']) $selected = 'selected';
        else $selected = '';
        echo "<option value=\"".$row[id]."\" ".$selected.">".$row[sezione]."</option>";
        $rs->MoveNext();
    }
?></select></td>
    <td width="25%" align="center" class="button_out"><input type="submit" value="<?php echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;adm_voice_prio_page_select&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"; ?>" class="button_in awesome"></td>
</tr></form>
</table><br />

<table class="table_border" width="<? include $priscilla_local_path."adm/include/dim_all.inc.php"; ?>" align="center" cellpadding="3" cellspacing="1" border="0">
<tr><form method="post" name="save_levels_form" id="save_levels_form">
    <input type="hidden" name="idbrothers" id="idbrothers" value="<? echo $_POST['idbrothers']; ?>">
    <th class="table_sez">id</th>
    <th class="table_sez">sezione</th>
    <th class="table_sez"><? echo PAPER_HOMENEWS_LEVEL_FIELD; ?></th>
    <th class="table_sez"><? echo PAPER_HOMENEWS_DATEIN_FIELD; ?></th>
    <th class="table_sez"><? echo PAPER_HOMENEWS_DATEOUT_FIELD; ?></th>
</tr>
<?
sort($levels);
foreach ($levels as $i => $level) echo $level;
?>
<tr>
    <td class="button_out" colspan="5" align="center"><input type="submit" name="save_levels" id="save_levels" value="SAVE" class="button_in awesome"></td>
</tr>
</form>
</table><br />

<?
    include $priscilla_local_path."adm/include/closewin.js";
    include $priscilla_local_path."adm/include/menu_setup.inc.php";
    include $priscilla_local_path."adm/include/about_root.inc.php";
?>
</body></html>
